Bug 809536 - Review Request: tuscany-sdo-java - Service Data Objects 2.1 Java API spec
Review Request: tuscany-sdo-java - Service Data Objects 2.1 Java API spec
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patryk Obara
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 809540
  Show dependency treegraph
 
Reported: 2012-04-03 11:31 EDT by gil cattaneo
Modified: 2013-03-13 00:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-23 16:25:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pobara: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-04-03 11:31:34 EDT
Spec URL: http://gil.fedorapeople.org/sdo-api-java.spec
SRPM URL: http://gil.fedorapeople.org/sdo-api-java-1.1.1-1.fc16.src.rpm
Description: SDO is a framework for data application development, which
includes an architecture and API. SDO does the following:

- Simplifies the J2EE data programming model
- Abstracts data in a service oriented architecture (SOA)
- Unifies data application development
- Supports and integrates XML
- Incorporates J2EE patterns and best practices

With SDO, you do not need to be familiar with a
technology-specific API in order to access and utilize data.
You need to know only one API, the SDO API, which lets you
work with data from multiple data sources, including
relational databases, entity EJB components, XML pages, Web
services, the Java Connector Architecture, JavaServer Pages
pages, and more.

This package contains only a Java API of SDO 2.1 spec.
EclipseLink is a implementation of this spec.


depend on https://bugzilla.redhat.com/show_bug.cgi?id=809533
Comment 1 Patryk Obara 2012-07-11 09:39:50 EDT
Hmm, why did you package "incubating" version? Change it to 1.1.1 - you can download it from here: http://tuscany.apache.org/sdo-java-releases.html (no svn export is required).

If you intent to package something newer than 1.1.1, then you would need to fix release tag, see http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages

Also, this package seems to be misnamed, tuscany-sdo-java would be more appropriate; rename it, please.
Comment 3 Patryk Obara 2012-07-12 09:07:36 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
$ rpmlint SPECS/tuscany-sdo-java.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint SRPMS/tuscany-sdo-java-1.1.1-1.fc16.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint RPMS/noarch/tuscany-sdo-java-1.1.1-1.fc17.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint RPMS/noarch/tuscany-sdo-java-javadoc-1.1.1-1.fc17.noarch.rpm 
tuscany-sdo-java-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type:
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : cb2c688470f6043963ffc74977ae1c3a  apache-tuscany-sdo-1.1.1-src.tar.gz
MD5SUM upstream package: cb2c688470f6043963ffc74977ae1c3a  apache-tuscany-sdo-1.1.1-src.tar.gz

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4236438


================
*** APPROVED ***
================
Comment 4 gil cattaneo 2012-07-12 09:37:02 EDT
New Package SCM Request
=======================
Package Name: tuscany-sdo-java
Short Description: Service Data Objects 2.1 Java API spec
Owners: gil
Branches: f17
InitialCC: java-sig
Comment 5 Jason Tibbitts 2012-07-13 18:59:26 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-07-14 04:00:29 EDT
tuscany-sdo-java-1.1.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tuscany-sdo-java-1.1.1-1.fc17
Comment 7 Fedora Update System 2012-07-14 17:54:44 EDT
tuscany-sdo-java-1.1.1-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-07-23 16:25:05 EDT
tuscany-sdo-java-1.1.1-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.